<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
 th:replace="~{main-layout.html::main-fragment(~{::title},~{::#exemplethymeleaf-main-content})}"
>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" th:href="@{/webjars/bootstrap/5.3.2/css/bootstrap.min.css}" />
    <title>Exemple Thymeleaf</title>
</head>

<body>
    <div class="container-fluid" id="exemplethymeleaf-main-content">
        <div class="alert alert-primary" th:text="${i}">texte statique</div>
        <h3>Accès à un objet</h3>
        <div th:text="${per.prenom} + ' ' + ${per.nom}"></div>
        <div th:text="|${per.prenom} ${per.nom}|"></div>
        <div th:text="|${per['prenom']} ${per['nom']}|"></div>
        <h3 class="mt-3">Accès à un tableau</h3>
        <div th:text="${tab[1]}"></div>
        <h3 class="mt-4">Accès à une map</h3>
        <div th:text="${m['john']}"></div>
        <div th:text="${m.jane}"></div>
        <h3 class="mt-3">Concatenation</h3>
        <div th:text="${per.prenom} + ' ' + ${per.nom}"></div>
        <div th:text="|${per.prenom} ${per.nom}|"></div>
        <h3 class="mt-3">URL</h3>
        <a class="btn btn-primary" th:href="@{/exemple/testmodel}">Exemple test model</a>
        <a th:href="@{/exemple/testpath/{id1}(id1=${i})}">test pathvariable</a>
        <a th:href="@{/exemple/testparam(id=${m.john})}">test requestparam</a>
        <a th:href="@{/exemple/testparammulti(id=${i},nom=${per.nom})}">test requestparam multi</a>
        <h3 class="mt-3">Condition</h3>
        <h4 class="mt-2">if</h4>
        <div th:if="${val>50}" class="alert alert-secondary col-md-3">
            <p>la valeur est supérieur à 50 </p>
        </div>
        <div th:unless="${val>50}" class="alert alert-danger col-md-3">
            <p>la valeur est inférieur à 50 </p>
        </div>
        <h4 class="mt-2">Opérateur conditionnel</h4>
        <div th:if="${val}!=null">
            <p th:text="${val!=-1} ? ${val*10}"></p>
            <p th:text="${val!=-1} ? ${val*10}: ' val est égal à -1'"></p>
            <p th:text="${val!=-1} ? ${val*10} : _"></p>
        </div>
        <p th:text="${val} ?: 'valeur par défaut'"></p>
        <h4 class="mt-2">switch</h4>
        <div th:switch="${val}">
            <p th:case="25">égal à25</p>
            <p th:case="52">égal à52</p>
            <p th:case="${i}">égal à i (34)</p>
            <p th:case="-1">égal à -1</p>
            <p th:case="*"> autre valeur</p>
        </div>
        <h3 class="mt-3">Boucle</h3>
        <ul class="list-group">
            <li  class="list-group-item col-md-1" th:each="t,st : ${tab}" th:text="|tab[${st.index}]= ${t}|"></li>
        </ul>
        
        <table class="table">
            <thead>
                <tr>
                    <th>id</th>
                    <th>prenom</th>
                    <th>nom</th>
                </tr>
            </thead>
            <tbody>
                <tr th:each="p : ${personnes}">
                    <td th:text="${p.id}">
                    <td th:text="${p.prenom}">
                    <td th:text="${p.nom}">
                </tr>
            </tbody>
        </table>
        
        <th:block th:each="t,st : ${tab}">
            <p  th:text="|tab[${st.index}]= ${t}|"></p>
        </th:block>
        
        <div th:text="${html}"></div>
        <div th:utext="${html}"></div> 
        
        <h3 class="mt-3">Utility expression</h3>
        <div th:text="${#strings.capitalizeWords(text)}"></div>   
        <div th:text="${#lists.size(personnes)}"></div>
        
        <h3 class="mt-3">Fragment</h3>
        <div th:insert="~{exemplefragment::exemplefooter}"></div>
        <div th:replace="~{exemplefragment::exemplefooter}"></div>
    </div>
</body>
</html>